com.microfocus.awm.meta.modelextension

## Class ModelExtensionObject

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject

- Direct Known Subclasses:
    IconExtension, LinkedElementTypeExtension, LinkedPropertyExtension, ModelExtensionWithAttributes, PreDefinedModelExtensionObject, PropertyProviderExtension, SimpleModelExtensionAttribute, TemplateModelExtension

      public abstract class ModelExtensionObject
      extends java.lang.Object

  Abstract super class for all AWM model extension objects which have an ID and a label.
  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelExtensionObject(java.lang.String pId, java.lang.String pLabel, FunctionPackageExtension pFunctionPackage)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FunctionPackageExtension` | `getFunctionPackageExtension()` Gets the function package extension of this feature.
    `java.lang.String` | `getHelpContextId()` Gets the helpContextId.
    `java.lang.String` | `getID()` Gets the ID.
    `java.lang.String` | `getLabel()` Gets the label.
    `boolean` | `isDeprecated()` Returns whether this model extension object has been set deprecated.
    `void` | `setDeprecated(boolean pDeprecated)` Sets whether this model extension object is deprecated.
    `void` | `setHelpContextId(java.lang.String pHelpContextId)` Sets the helpContextId.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelExtensionObject

          public ModelExtensionObject(java.lang.String pId,
                                      java.lang.String pLabel,
                                      FunctionPackageExtension pFunctionPackage)

      Basic constructor.
      Parameters:
        `pId` - the component ID
        `pLabel` - the label

  - ### Method Detail

    - #### getID

          public java.lang.String getID()

      Gets the ID.
      Returns:
        the ID

    - #### getLabel

          public java.lang.String getLabel()

      Gets the label. If no label was specified in the extension, the ID will be returned instead.
      Returns:
        the label

    - #### getFunctionPackageExtension

          public FunctionPackageExtension getFunctionPackageExtension()

      Gets the function package extension of this feature.
      Returns:
        the function package extension

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isDeprecated

          public boolean isDeprecated()

      Returns whether this model extension object has been set deprecated. Deprecated model extension object cannot be created by "New Child/Sibling" actions in the model editor.
      Returns:
        whether this model extension object is deprecated

    - #### setDeprecated

          public void setDeprecated(boolean pDeprecated)

      Sets whether this model extension object is deprecated.
      Parameters:
        `pDeprecated` - whether this model extension object is deprecated.
      See Also:
        `isDeprecated()`

    - #### getHelpContextId

          public java.lang.String getHelpContextId()

      Gets the helpContextId.
      Returns:
        the helpContextId

    - #### setHelpContextId

          public void setHelpContextId(java.lang.String pHelpContextId)

      Sets the helpContextId.
      Parameters:
        `pHelpContextId` - the helpContextId to set

Copyright © 2015 Micro Focus GmbH. All rights reserved.